Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

From: Lydia Heck (lydia.heck_at_[hidden])
Date: 2006-10-17 07:01:10


I know that with 1.3a1xxxx I a looking at a development release.
HOwever I do need the SGE (GridEngine) support and I could not find
a download for a stable (or any other) 1.2 release.

So I downloaded 1.3a1r12121 and tried to configure it.

In my configuration I use

--with-mx=/opt/mx (where the MX software is installed); also
--with-mx-libdir=/opt/mx/lib64, because I build for 64 bit only.

Then I use the Sun Studio11 compilers and the configuration fails

with

--- MCA component btl:mx (m4 configuration macro)
checking for MCA component btl:mx compile mode... dso
checking myriexpress.h usability... no
checking myriexpress.h presence... no
checking for myriexpress.h... no

configure: error: MX support requested but not found. Aborting

I have tried everything, entering under CFLAGS etc
-I/opt/mx/include

modifying

--with-mx=/opt/mx/include ....

each the configure fails with the same error.

Yes, mx is definitely installed, and yes the path to mx is definitely
/opt/mx ...

Any ideas ....

Lydia Heck

------------------------------------------
Dr E L Heck

University of Durham
Institute for Computational Cosmology
Ogden Centre
Department of Physics
South Road

DURHAM, DH1 3LE
United Kingdom

e-mail: lydia.heck_at_[hidden]

Tel.: + 44 191 - 334 3628
Fax.: + 44 191 - 334 3645
___________________________________________